﻿define((function () {
    var toPixels = function (canvasMeasure, shapeMeasure) {
        if (typeof shapeMeasure === "string") {
            var value = parseInt(shapeMeasure.match(/\d+/));
            if (shapeMeasure.match(/%$/)) {
                return (canvasMeasure * value / 100);
            } else {
                return value;
            }
        } else return shapeMeasure;
    };
    var result = {
        init: function () {
            console.info("init vml");
        },
        createCanvas: function (self) {
            console.info("vml - canvas created");
        },
        clear: function (canvas) {

        },
        types: {
            line: function (canvas, renderer, options) {
                console.info("vml - drawing line");
            },
            image: function (canvas, renderer, options) {
                console.info("vml - drawing image");
            },
            text: function (canvas, renderer, options) {
                console.info("vml - drawing text");
            },
            circle: function (canvas, renderer, options) {
                console.info("vml - drawing cirlce");
            },
            ellipse: function (canvas, renderer, options) {
                console.info("vml - drawing ellipse");
            },
            rectangle: function (canvas, renderer, options) {
                console.info("vml - drawing rectangle");
            },
            polygon: function (canvas, renderer, options) {
                console.info("vml - drawing polygon");
            },
            path: function (canvas, renderer, options) {
                console.info("vml - drawing path");
            }
        }
    };
    return result;
})());
//    fillRect: function (canvas,x, y, h, w) {
//        canvas.context.fillRect(x, y, h, w);
//    },
//    fillStyle : function(canvas,style) {
//        canvas.context.fillStyle = style;
//    },
//    strokeRect: function (canvas, x, y, h, w) {
//        canvas.context.strokeRect(x, y, h, w);
//    },
//    strokeStyle : function(canvas,style) {
//        canvas.context.strokeStyle = style;
//    },